Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface EntityBeanType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  EntityBeanTypeImpl

    public interface EntityBeanType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `entity-beanType` xsd type

Original Documentation:

The entity-beanType declares an entity bean. The declaration
consists of:
- an optional description
- an optional display name
- an optional icon element that contains a small and a large
icon file name
- a unique name assigned to the enterprise bean
in the deployment descriptor
- an optional mapped-name element that can be used to provide
vendor-specific deployment information such as the physical
jndi-name of the entity bean's remote home interface. This
element is not required to be supported by all implementations.
Any use of this element is non-portable.
- the names of the entity bean's remote home
and remote interfaces, if any
- the names of the entity bean's local home and local
interfaces, if any
- the entity bean's implementation class
- the optional entity bean's persistence management type. If
this element is not specified it is defaulted to Container.
- the entity bean's primary key class name
- an indication of the entity bean's reentrancy
- an optional specification of the
entity bean's cmp-version
- an optional specification of the entity bean's
abstract schema name
- an optional list of container-managed fields
- an optional specification of the primary key
field
- an optional declaration of the bean's environment
entries
- an optional declaration of the bean's EJB
references
- an optional declaration of the bean's local
EJB references
- an optional declaration of the bean's web
service references
- an optional declaration of the security role
references
- an optional declaration of the security identity
to be used for the execution of the bean's methods
- an optional declaration of the bean's
resource manager connection factory references
- an optional declaration of the bean's
resource environment references
- an optional declaration of the bean's message
destination references
- an optional set of query declarations
for finder and select methods for an entity
bean with cmp-version 2.x.
The optional abstract-schema-name element must be specified
for an entity bean with container-managed persistence and
cmp-version 2.x.
The optional primkey-field may be present in the descriptor
if the entity's persistence-type is Container.
The optional cmp-version element may be present in the
descriptor if the entity's persistence-type is Container. If
the persistence-type is Container and the cmp-version
element is not specified, its value defaults to 2.x.
The optional home and remote elements must be specified if
the entity bean cmp-version is 1.x.
The optional home and remote elements must be specified if
the entity bean has a remote home and remote interface.
The optional local-home and local elements must be specified
if the entity bean has a local home and local interface.
Either both the local-home and the local elements or both
the home and the remote elements must be specified.
The optional query elements must be present if the
persistence-type is Container and the cmp-version is 2.x and
query methods other than findByPrimaryKey have been defined
for the entity bean.
The other elements that are optional are "optional" in the
sense that they are omitted if the lists represented by them
are empty.
At least one cmp-field element must be present in the
descriptor if the entity's persistence-type is Container and
the cmp-version is 1.x, and none must not be present if the
entity's persistence-type is Bean.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`CmpFieldType<EntityBeanType<T>>` | `cmpField()` Returns the `cmp-field` element
`DataSourceType<EntityBeanType<T>>` | `dataSource()` Returns the `data-source` element
`EjbLocalRefType<EntityBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<EntityBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<EntityBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.lang.String` | `getAbstractSchemaName()` Returns the `abstract-schema-name` element
`java.util.List<CmpFieldType<EntityBeanType<T>>>` | `getCmpFieldList()` Returns all `cmp-field` elements
`CmpVersionType` | `getCmpVersion()` Returns the `cmp-version` element
`java.lang.String` | `getCmpVersionAsString()` Returns the `cmp-version` element
`java.util.List<DataSourceType<EntityBeanType<T>>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<EntityBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<EntityBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<EntityBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getHome()` Returns the `home` element
`java.util.List<IconType<EntityBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getLocal()` Returns the `local` element
`java.lang.String` | `getLocalHome()` Returns the `local-home` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<MessageDestinationRefType<EntityBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<PersistenceContextRefType<EntityBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`PersistenceTypeType` | `getPersistenceType()` Returns the `persistence-type` element
`java.lang.String` | `getPersistenceTypeAsString()` Returns the `persistence-type` element
`java.util.List<PersistenceUnitRefType<EntityBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<EntityBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<EntityBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.lang.String` | `getPrimKeyClass()` Returns the `prim-key-class` element
`java.lang.String` | `getPrimkeyField()` Returns the `primkey-field` element
`java.util.List<QueryType<EntityBeanType<T>>>` | `getQueryList()` Returns all `query` elements
`java.lang.String` | `getRemote()` Returns the `remote` element
`java.util.List<ResourceEnvRefType<EntityBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<EntityBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityRoleRefType<EntityBeanType<T>>>` | `getSecurityRoleRefList()` Returns all `security-role-ref` elements
`IconType<EntityBeanType<T>>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isReentrant()` Returns the `reentrant` element
`MessageDestinationRefType<EntityBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`PersistenceContextRefType<EntityBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<EntityBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<EntityBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<EntityBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`QueryType<EntityBeanType<T>>` | `query()` Returns the `query` element
`EntityBeanType<T>` | `removeAbstractSchemaName()` Removes the `abstract-schema-name` element
`EntityBeanType<T>` | `removeAllCmpField()` Removes all `cmp-field` elements
`EntityBeanType<T>` | `removeAllDataSource()` Removes all `data-source` elements
`EntityBeanType<T>` | `removeAllDescription()` Removes the `description` element
`EntityBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`EntityBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`EntityBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`EntityBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`EntityBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`EntityBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`EntityBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`EntityBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`EntityBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`EntityBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`EntityBeanType<T>` | `removeAllQuery()` Removes all `query` elements
`EntityBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`EntityBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`EntityBeanType<T>` | `removeAllSecurityRoleRef()` Removes all `security-role-ref` elements
`EntityBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`EntityBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`EntityBeanType<T>` | `removeHome()` Removes the `home` element
`EntityBeanType<T>` | `removeLocal()` Removes the `local` element
`EntityBeanType<T>` | `removeLocalHome()` Removes the `local-home` element
`EntityBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`EntityBeanType<T>` | `removePrimKeyClass()` Removes the `prim-key-class` element
`EntityBeanType<T>` | `removePrimkeyField()` Removes the `primkey-field` element
`EntityBeanType<T>` | `removeReentrant()` Removes the `reentrant` element
`EntityBeanType<T>` | `removeRemote()` Removes the `remote` element
`EntityBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<EntityBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<EntityBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<EntityBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`SecurityRoleRefType<EntityBeanType<T>>` | `securityRoleRef()` Returns the `security-role-ref` element
`EntityBeanType<T>` | `setAbstractSchemaName(java.lang.String abstractSchemaName)` If not already created, a new `abstract-schema-name` element with the given value will be created.
`EntityBeanType<T>` | `setCmpVersion(CmpVersionType cmpVersion)` If not already created, a new `cmp-version` element with the given value will be created.
`EntityBeanType<T>` | `setCmpVersion(java.lang.String cmpVersion)` If not already created, a new `cmp-version` element with the given value will be created.
`EntityBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EntityBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EntityBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`EntityBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`EntityBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`EntityBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`EntityBeanType<T>` | `setHome(java.lang.String home)` If not already created, a new `home` element with the given value will be created.
`EntityBeanType<T>` | `setLocal(java.lang.String local)` If not already created, a new `local` element with the given value will be created.
`EntityBeanType<T>` | `setLocalHome(java.lang.String localHome)` If not already created, a new `local-home` element with the given value will be created.
`EntityBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`EntityBeanType<T>` | `setPersistenceType(PersistenceTypeType persistenceType)` If not already created, a new `persistence-type` element with the given value will be created.
`EntityBeanType<T>` | `setPersistenceType(java.lang.String persistenceType)` If not already created, a new `persistence-type` element with the given value will be created.
`EntityBeanType<T>` | `setPrimKeyClass(java.lang.String primKeyClass)` If not already created, a new `prim-key-class` element with the given value will be created.
`EntityBeanType<T>` | `setPrimkeyField(java.lang.String primkeyField)` If not already created, a new `primkey-field` element with the given value will be created.
`EntityBeanType<T>` | `setReentrant(java.lang.Boolean reentrant)` If not already created, a new `reentrant` element with the given value will be created.
`EntityBeanType<T>` | `setRemote(java.lang.String remote)` If not already created, a new `remote` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    EntityBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `EntityBeanType`

### setDescriptionList

    EntityBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EntityBeanType`

### removeAllDescription

    EntityBeanType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `EntityBeanType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    EntityBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `EntityBeanType`

### setDisplayNameList

    EntityBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `EntityBeanType`

### removeAllDisplayName

    EntityBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `EntityBeanType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    EntityBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `EntityBeanType`

### icon

    IconType<EntityBeanType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<EntityBeanType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeAllEnvEntry

    EntityBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `EntityBeanType`

### envEntry

    EnvEntryType<EntityBeanType<T>> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<EntityBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    EntityBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### ejbRef

    EjbRefType<EntityBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<EntityBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    EntityBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### ejbLocalRef

    EjbLocalRefType<EntityBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<EntityBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    EntityBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### resourceRef

    ResourceRefType<EntityBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<EntityBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    EntityBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### resourceEnvRef

    ResourceEnvRefType<EntityBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<EntityBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    EntityBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### messageDestinationRef

    MessageDestinationRefType<EntityBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<EntityBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    EntityBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### persistenceContextRef

    PersistenceContextRefType<EntityBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<EntityBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    EntityBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### persistenceUnitRef

    PersistenceUnitRefType<EntityBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<EntityBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    EntityBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Returns:
    the current instance of `EntityBeanType`

### postConstruct

    LifecycleCallbackType<EntityBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    java.util.List<LifecycleCallbackType<EntityBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Returns:
    list of `post-construct`

### removeAllPreDestroy

    EntityBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Returns:
    the current instance of `EntityBeanType`

### preDestroy

    LifecycleCallbackType<EntityBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    java.util.List<LifecycleCallbackType<EntityBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Returns:
    list of `pre-destroy`

### removeAllDataSource

    EntityBeanType<T> removeAllDataSource()

  Removes all `data-source` elements

  Returns:
    the current instance of `EntityBeanType`

### dataSource

    DataSourceType<EntityBeanType<T>> dataSource()

  Returns the `data-source` element

  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    java.util.List<DataSourceType<EntityBeanType<T>>> getDataSourceList()

  Returns all `data-source` elements

  Returns:
    list of `data-source`

### setEjbName

    EntityBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeEjbName

    EntityBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Returns:
    the current instance of `EntityBeanType`

### getEjbName

    java.lang.String getEjbName()

  Returns the `ejb-name` element

  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    EntityBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeMappedName

    EntityBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `EntityBeanType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### setHome

    EntityBeanType<T> setHome(java.lang.String home)

  If not already created, a new `home` element with the given value will be created. Otherwise, the existing `home` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeHome

    EntityBeanType<T> removeHome()

  Removes the `home` element

  Returns:
    the current instance of `EntityBeanType`

### getHome

    java.lang.String getHome()

  Returns the `home` element

  Returns:
    the node defined for the element `home`

### setRemote

    EntityBeanType<T> setRemote(java.lang.String remote)

  If not already created, a new `remote` element with the given value will be created. Otherwise, the existing `remote` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeRemote

    EntityBeanType<T> removeRemote()

  Removes the `remote` element

  Returns:
    the current instance of `EntityBeanType`

### getRemote

    java.lang.String getRemote()

  Returns the `remote` element

  Returns:
    the node defined for the element `remote`

### setLocalHome

    EntityBeanType<T> setLocalHome(java.lang.String localHome)

  If not already created, a new `local-home` element with the given value will be created. Otherwise, the existing `local-home` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeLocalHome

    EntityBeanType<T> removeLocalHome()

  Removes the `local-home` element

  Returns:
    the current instance of `EntityBeanType`

### getLocalHome

    java.lang.String getLocalHome()

  Returns the `local-home` element

  Returns:
    the node defined for the element `local-home`

### setLocal

    EntityBeanType<T> setLocal(java.lang.String local)

  If not already created, a new `local` element with the given value will be created. Otherwise, the existing `local` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeLocal

    EntityBeanType<T> removeLocal()

  Removes the `local` element

  Returns:
    the current instance of `EntityBeanType`

### getLocal

    java.lang.String getLocal()

  Returns the `local` element

  Returns:
    the node defined for the element `local`

### setEjbClass

    EntityBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeEjbClass

    EntityBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Returns:
    the current instance of `EntityBeanType`

### getEjbClass

    java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Returns:
    the node defined for the element `ejb-class`

### setPersistenceType

    EntityBeanType<T> setPersistenceType(PersistenceTypeType persistenceType)

  If not already created, a new `persistence-type` element with the given value will be created. Otherwise, the existing `persistence-type` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### setPersistenceType

    EntityBeanType<T> setPersistenceType(java.lang.String persistenceType)

  If not already created, a new `persistence-type` element with the given value will be created. Otherwise, the existing `persistence-type` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### getPersistenceType

    PersistenceTypeType getPersistenceType()

  Returns the `persistence-type` element

  Returns:
    the node defined for the element `persistence-type`

### getPersistenceTypeAsString

    java.lang.String getPersistenceTypeAsString()

  Returns the `persistence-type` element

  Returns:
    the node defined for the element `persistence-type`

### setPrimKeyClass

    EntityBeanType<T> setPrimKeyClass(java.lang.String primKeyClass)

  If not already created, a new `prim-key-class` element with the given value will be created. Otherwise, the existing `prim-key-class` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removePrimKeyClass

    EntityBeanType<T> removePrimKeyClass()

  Removes the `prim-key-class` element

  Returns:
    the current instance of `EntityBeanType`

### getPrimKeyClass

    java.lang.String getPrimKeyClass()

  Returns the `prim-key-class` element

  Returns:
    the node defined for the element `prim-key-class`

### setReentrant

    EntityBeanType<T> setReentrant(java.lang.Boolean reentrant)

  If not already created, a new `reentrant` element with the given value will be created. Otherwise, the existing `reentrant` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeReentrant

    EntityBeanType<T> removeReentrant()

  Removes the `reentrant` element

  Returns:
    the current instance of `EntityBeanType`

### isReentrant

    java.lang.Boolean isReentrant()

  Returns the `reentrant` element

  Returns:
    the node defined for the element `reentrant`

### setCmpVersion

    EntityBeanType<T> setCmpVersion(CmpVersionType cmpVersion)

  If not already created, a new `cmp-version` element with the given value will be created. Otherwise, the existing `cmp-version` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### setCmpVersion

    EntityBeanType<T> setCmpVersion(java.lang.String cmpVersion)

  If not already created, a new `cmp-version` element with the given value will be created. Otherwise, the existing `cmp-version` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### getCmpVersion

    CmpVersionType getCmpVersion()

  Returns the `cmp-version` element

  Returns:
    the node defined for the element `cmp-version`

### getCmpVersionAsString

    java.lang.String getCmpVersionAsString()

  Returns the `cmp-version` element

  Returns:
    the node defined for the element `cmp-version`

### setAbstractSchemaName

    EntityBeanType<T> setAbstractSchemaName(java.lang.String abstractSchemaName)

  If not already created, a new `abstract-schema-name` element with the given value will be created. Otherwise, the existing `abstract-schema-name` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removeAbstractSchemaName

    EntityBeanType<T> removeAbstractSchemaName()

  Removes the `abstract-schema-name` element

  Returns:
    the current instance of `EntityBeanType`

### getAbstractSchemaName

    java.lang.String getAbstractSchemaName()

  Returns the `abstract-schema-name` element

  Returns:
    the node defined for the element `abstract-schema-name`

### removeAllCmpField

    EntityBeanType<T> removeAllCmpField()

  Removes all `cmp-field` elements

  Returns:
    the current instance of `EntityBeanType`

### cmpField

    CmpFieldType<EntityBeanType<T>> cmpField()

  Returns the `cmp-field` element

  Returns:
    the node defined for the element `cmp-field`

### getCmpFieldList

    java.util.List<CmpFieldType<EntityBeanType<T>>> getCmpFieldList()

  Returns all `cmp-field` elements

  Returns:
    list of `cmp-field`

### setPrimkeyField

    EntityBeanType<T> setPrimkeyField(java.lang.String primkeyField)

  If not already created, a new `primkey-field` element with the given value will be created. Otherwise, the existing `primkey-field` element will be updated with the given value.

  Returns:
    the current instance of `EntityBeanType`

### removePrimkeyField

    EntityBeanType<T> removePrimkeyField()

  Removes the `primkey-field` element

  Returns:
    the current instance of `EntityBeanType`

### getPrimkeyField

    java.lang.String getPrimkeyField()

  Returns the `primkey-field` element

  Returns:
    the node defined for the element `primkey-field`

### removeAllSecurityRoleRef

    EntityBeanType<T> removeAllSecurityRoleRef()

  Removes all `security-role-ref` elements

  Returns:
    the current instance of `EntityBeanType`

### securityRoleRef

    SecurityRoleRefType<EntityBeanType<T>> securityRoleRef()

  Returns the `security-role-ref` element

  Returns:
    the node defined for the element `security-role-ref`

### getSecurityRoleRefList

    java.util.List<SecurityRoleRefType<EntityBeanType<T>>> getSecurityRoleRefList()

  Returns all `security-role-ref` elements

  Returns:
    list of `security-role-ref`

### removeSecurityIdentity

    EntityBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Returns:
    the current instance of `EntityBeanType`

### securityIdentity

    SecurityIdentityType<EntityBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Returns:
    the node defined for the element `security-identity`

### removeAllQuery

    EntityBeanType<T> removeAllQuery()

  Removes all `query` elements

  Returns:
    the current instance of `EntityBeanType`

### query

    QueryType<EntityBeanType<T>> query()

  Returns the `query` element

  Returns:
    the node defined for the element `query`

### getQueryList

    java.util.List<QueryType<EntityBeanType<T>>> getQueryList()

  Returns all `query` elements

  Returns:
    list of `query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD